import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import Analyser

Item {
    id: root
    ColumnLayout {
        anchors.fill: parent
        ConnectionItem {}
        Column {
            Text{
                width: 50
                text: "烧录版本: "+ (App.module!==null? App.module.verison:"")
            }
            Text{
                width: 50
                text: "OTA版本: "+(App.module!==null?App.module.otaVerison:"")
            }
        }
        TabBar {
            id: operationBar
            Layout.fillWidth: true
            TabButton {
                text: "注册/识别"
            }
            TabButton {
                text: "删除/其它"
            }
        }
        StackLayout {
            currentIndex: operationBar.currentIndex
            EnrollVerifyOperations {
                enabled: App.connected
            }
            ExtendedOperations {
            }
        }

    }

    Loader {
        id: loader
        source: "OtaPage.qml"
        active: false
        onLoaded: {
            if (loader.item && loader.item.open) {
                loader.item.open()
                loader.item.onClose = () => {
                    loader.active = false
                }
            }
        }
    }
}
